https://www.reddit.com/r/CryptoMoonShots

metamask??

places to buy:
* https://www.bitmart.com/

## shitcoins
https://www.reddit.com/r/WhiteBIT/comments/m6phmx/safemoon/ | Safemoon : WhiteBIT
https://www.reddit.com/r/FrogeFinance/comments/n77tjp/problems_with_selling_froge/ | Problems with selling froge : FrogeFinance
https://www.reddit.com/r/FrogeFinance/comments/n53fiz/crazy_fees_on_uniswap/ | Crazy fees on uniswap! : FrogeFinance
https://bravenewcoin.com/insights/binance-smart-chain | Is the Binance Smart Chain the real Ethereum killer? » Brave New Coin
https://www.reddit.com/r/CryptoMoonShots/comments/misnw0/froge_new_worlds_first_ecocoin_day_14/ | $FROGE - New world's first ECOCOIN - day 14!! - frictionless .1% every tx to save our rainforests - big week!! audits, cg listing, whitebit listing next week, more inside : CryptoMoonShots
https://twitter.com/JustinAHorwitz/status/1390444531578019845 | Justin Horwitz on Twitter: "I will never support #Doge, only #Froge. Saving the rainforests one transaction at a time. 🐸🚀🌛" / Twitter
